//practica de polimorfismo


class Boxx {
    public float ancho;
    public float largo;
    public float profundidad;
   public Boxx(float anch,float larg){
        this.ancho=anch;
        this.largo=larg;
        this.profundidad=1;
    }
    public Boxx(float anch,float larg,float prof){
        this.ancho=anch;
        this.largo=larg;
        this.profundidad=prof;
    }
    
 
    public void setDatos(int ancho,int largo,int profundidad){
        this.ancho=ancho;
        this.largo=largo;
        this.profundidad=profundidad;
    }
    public void setDatos(float ancho,float largo,float profundidad){
        this.ancho=ancho;
        this.largo=largo;
        this.profundidad=profundidad;
    }
    public float getVolumen(){
        float volumen=this.ancho*this.largo*this.profundidad;
        return volumen;
    }
    
}

public class Operaciones{

    public static void main(String[] args) {
        Boxx obj= new Boxx(2,3);
        Boxx obj2=new Boxx(2,2,3);
        
        System.out.println("Volumen obj: "+obj.getVolumen());
        System.out.println("Volumen obj2: "+obj2.getVolumen());
    }
}

